Bug 83343

Summary: Fix LayoutUnit usage and rounding in RenderBlock and RenderEmbeddedObject
Product: WebKit Reporter: Emil A Eklund <eae@chromium.org>
Component: Layout and RenderingAssignee: Emil A Eklund <eae@chromium.org>
Status: RESOLVED FIXED    
Severity: Normal CC: eric@webkit.org, leviw@chromium.org, webkit.review.bot@gmail.com
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 60318    
Attachments:
Description Flags
Patch none

Description From 2012-04-05 18:41:53 PST
Fix LayoutUnit usage and rounding in RenderBlock and RenderEmbeddedObject
------- Comment #1 From 2012-04-05 18:44:38 PST -------
Created an attachment (id=135963) [details]
Patch
------- Comment #2 From 2012-04-06 11:56:16 PST -------
(From update of attachment 135963 [details])
Clearing flags on attachment: 135963

Committed r113471: <http://trac.webkit.org/changeset/113471>
------- Comment #3 From 2012-04-06 11:56:20 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #4 From 2012-06-25 05:16:36 PST -------
(From update of attachment 135963 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=135963&action=review

> Source/WebCore/rendering/RenderEmbeddedObject.cpp:267
> +    IntPoint roundedPoint = roundedIntPoint(pointInContainer);
>  
>      if (Scrollbar* horizontalScrollbar = view->horizontalScrollbar()) {
> -        if (horizontalScrollbar->shouldParticipateInHitTesting() && horizontalScrollbar->frameRect().contains(pointInContainer)) {
> +        if (horizontalScrollbar->shouldParticipateInHitTesting() && horizontalScrollbar->frameRect().contains(roundedPoint)) {

I am curious, why is this rounding necessary?